[Polly][GSoC]Rename ScopInfo to ScopBuilder
ClosedPublic

Authored by cs14mtech11017 on May 31 2016, 12:18 PM.

Details

Summary

This patch only renames ScopInfo class to ScopBuilder. This change is required because ScopBuilder class only creates SCoP objects, it is not a container class to store them. Valid SCoP objects will be contained in ScopInfoRegionPass and ScopInfoWrapperPass.

Depends on D20770

Diff Detail

cs14mtech11017 retitled this revision from to [Polly][GSoC]Renamed ScopInfo to ScopBuilder and updated its memory management..May 31 2016, 12:18 PM
cs14mtech11017 updated this object.
cs14mtech11017 added a subscriber: Restricted Project.
jdoerfert added inline comments.Jun 1 2016, 2:53 AM
include/polly/ScopInfo.h
2524

Please do first the rename and than add this pass.

Separated renaming of ScopInfo to ScoBuilder and adding a new pass ScopInfoWrapper pass into two patches.

cs14mtech11017 retitled this revision from [Polly][GSoC]Renamed ScopInfo to ScopBuilder and updated its memory management. to [Polly][GSoC]Renamed ScopInfo to ScopBuilder and update its memory management..Jun 1 2016, 10:23 AM
Meinersbur requested changes to this revision.Jun 1 2016, 10:40 AM

Can you make two commits, one for
"Rename ScopInfo to ScopBuilder."
and another
"Update ScopBuilder's memory management."?

In a later step, we could move the ScopBuilder into its own ScopBuilder.cpp and remove its declaration from the public ScopInfo.h as it's only used by ScopInfoRegionPass.

This revision now requires changes to proceed.Jun 1 2016, 10:40 AM

llvm-commits mailing list
llvm-commits@lists.llvm.org
http://lists.llvm.org/cgi-bin/mailman/listinfo/llvm-commits

cs14mtech11017 retitled this revision from [Polly][GSoC]Renamed ScopInfo to ScopBuilder and update its memory management. to [Polly][GSoC]Rename ScopInfo to ScopBuilder.
cs14mtech11017 updated this object.

This patch only renames ScopInfo class to ScopBuilder. This change is required because ScopBuilder class only creates SCoP objects, it is not a container class to store them. Valid SCoP objects will be contained in ScopInfoRegionPass and ScopInfoWrapperPass.

jdoerfert accepted this revision.Jun 2 2016, 7:40 AM

LGTM.

Meinersbur accepted this revision.Jun 3 2016, 5:19 AM

Already committed by Johannes in r271521.

This revision is now accepted and ready to land.Jun 3 2016, 5:19 AM
Meinersbur closed this revision.Jun 3 2016, 5:19 AM
mreisinger added inline comments.
include/polly/ScopInfo.h
2488

Maybe we should also rename this member from SI to SB then, to avoid confusion. I apologize for commenting after this patch has already been merged, unfortunately I've noticed this too late.


llvm-commits mailing list
llvm-commits@lists.llvm.org
http://lists.llvm.org/cgi-bin/mailman/listinfo/llvm-commits

cs14mtech11017 added inline comments.Jun 8 2016, 8:14 AM
include/polly/ScopInfo.h
2488

Thanks for pointing it out. Patch D20912 will completely remove SI variable, so I think we do not need to send a separate patch for this change.